Cannoli_2.12: CLI 0.14.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    cannoli
- About
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliModule
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- InterleaveFastq
- InterleaveFastqArgs
- LongMinimap2
- LongMinimap2Args
- LongUnimap
- LongUnimapArgs
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SampleReads
- SampleReadsArgs
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndMinimap2
- SingleEndMinimap2Args
- SingleEndStar
- SingleEndStarArgs
- SingleEndUnimap
- SingleEndUnimapArgs
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Unimap
- UnimapArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli.cli

# Minimap2Args 

###

#### class Minimap2Args extends cannoli.Minimap2Args with ADAMSaveAnyArgs with CramArgs with ParquetArgs

Minimap2 command line arguments.

Linear Supertypes
ParquetArgs, CramArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.Minimap2Args, ReadGroupArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Minimap2Args
2. ParquetArgs
3. CramArgs
4. ADAMSaveAnyArgs
5. SaveArgs
6. ParquetRDDArgs
7. Minimap2Args
8. ReadGroupArgs
9. Args4jBase
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Minimap2Args()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var addFiles: Boolean
   Definition Classes
     Minimap2Args
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  var asSingleFile: Boolean
   Definition Classes
     Minimap2Args → ADAMSaveAnyArgs
7.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
9.  val compressionCodec: CompressionCodecName
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
10.  def configureCramFormat(sc: SparkContext): Option[Unit]

    Configure CRAM format.

    Configure CRAM format.

    sc

      Spark context to configure

    Definition Classes
      CramArgs
11.  val cramReference: String
    Definition Classes
      CramArgs
    Annotations
      @Option()
12.  def createReadGroup(): ReadGroup
    Definition Classes
      ReadGroupArgs
13.  var deferMerging: Boolean
    Definition Classes
      Minimap2Args → ADAMSaveAnyArgs
14.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
15.  var disableFastConcat: Boolean
    Definition Classes
      Minimap2Args → ADAMSaveAnyArgs
16.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
19.  var executable: String
    Definition Classes
      Minimap2Args
20.  var flowOrder: String
    Definition Classes
      ReadGroupArgs
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
23.  var image: String
    Definition Classes
      Minimap2Args
24.  var indexPath: String
    Definition Classes
      Minimap2Args
25.  var inputPath: String
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  var keySequence: String
    Definition Classes
      ReadGroupArgs
28.  var library: String
    Definition Classes
      ReadGroupArgs
29.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
30.  var minimap2Args: String
    Definition Classes
      Minimap2Args
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
34.  var outputPath: String
    Definition Classes
      Minimap2Args → SaveArgs
35.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
36.  var platform: String
    Definition Classes
      ReadGroupArgs
37.  var platformModel: String
    Definition Classes
      ReadGroupArgs
38.  var platformUnit: String
    Definition Classes
      ReadGroupArgs
39.  var predictedMedianInsertSize: Integer
    Definition Classes
      ReadGroupArgs
40.  var preset: String
    Definition Classes
      Minimap2Args
41.  var readGroup: ReadGroup
    Definition Classes
      ReadGroupArgs
42.  var readGroupId: String
    Definition Classes
      ReadGroupArgs
43.  var runDate: Long
    Definition Classes
      ReadGroupArgs
44.  var sampleId: String
    Definition Classes
      ReadGroupArgs
45.  var seed: Integer
    Definition Classes
      Minimap2Args
46.  var sequenceDictionary: String
47.  var sequencingCenter: String
    Definition Classes
      ReadGroupArgs
48.  var sortFastqOutput: Boolean
    Definition Classes
      Minimap2Args → ADAMSaveAnyArgs
49.  var stringency: String
50.  var sudo: Boolean
    Definition Classes
      Minimap2Args
51.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
52.  def toString(): String
    Definition Classes
      AnyRef → Any
53.  var useDocker: Boolean
    Definition Classes
      Minimap2Args
54.  var useSingularity: Boolean
    Definition Classes
      Minimap2Args
55.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
56.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
57.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from ParquetArgs

### Inherited from CramArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.Minimap2Args

### Inherited from ReadGroupArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped